#!/bin/bash

# Compila i sorgenti e li impacchetta in un file .jar
# versione 0.2 - 2012/11/11

echo -- compile --
#carico la struttura del progetto
source projectData.sh

classDir="$build/classes"

# se non esiste, creo la cartella
if [ ! -e "$classDir" ]; then
	echo "creo la cartella '$classDir'"
	mkdir -p "$classDir"
# se esiste, la svuoto
else
	echo "svuoto la cartella '$classDir'"
	rm -rf "$classDir"/*
fi

echo "compilo"
javac -d "$classDir" -classpath "$lib/*:$libCompile/*" @fileList

# esito
if [ $? -eq 0 ]; then
	echo "ok"
else
	echo "errore nella compilazione"
	read -p "Premi [invio]..."
	exit 1
fi

echo -- pack --

echo "creo il nuovo file '$build/$jarFile'"
#cd "$build"
jar cfm "$build/$jarFile" "$jarManifest" -C "$classDir" .

# esito
if [ $? -eq 0 ]; then
	echo "ok"
else
	echo "errore nella creazione del file .jar"
	read -p "Premi [invio]..."
	exit 1
fi

read -p "Premi [invio]..."

